Skip to main content

Announcing the deprecation of custom visual’s API version 1.1 and older

As of September 1st only API 1.2 and above will be supported.

What does this mean for you as a custom visual developer?

The absolute majority of custom visuals are built on top of API version 1.2 and above, however, if you have an older version of your custom visual that was built using tools published earlier than September 2016, they may be using deprecated APIs.

You can verify the API version of your visual by looking at the pbiviz.json file at the "apiVersion" property.

What should you do?

In case you are using deprecated APIs, you may want to migrate to a supported API (1.2 and above) to avoid potential breaks for your visuals.

It is recommended to occasionally update your custom visual with latest tools and APIs to benefit from the latest and greatest features and enhancements. 

As of the September Power BI release, we will issue a warning to report authors for each visual using a deprecated API in both Power BI desktop and web (edit mode) with the following statement: 

“This visual is using an old and unsupported version of interface and will be deprecated soon. Please replace this visual with an alternative one from our in-house or marketplace visuals.”

 

For any question and help please reach out to pbicvsupport@microsoft.com